﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using Ds3;
using Ds3.Helpers;

namespace WindowsFormsApplication7
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //get blackpearl helper object
            IDs3ClientHelpers helpers =
                new Ds3ClientHelpers(


        new Ds3Builder("http://" + textBox1.Text + ":" + textBox2.Text,
                new Credentials(textBox4.Text, textBox5.Text)).Build());

            // Creates a bulk job with the server based on the files 
            // in a directory (recursively).
            IJob job = helpers.StartWriteJob(textBox3.Text,
                FileHelpers.ListObjectsForDirectory(textBox6.Text));

            // Transfer all of the files.
            job.Transfer(FileHelpers.BuildFilePutter(textBox6.Text));

            //done
            textBox7.Text = "TRANSFER COMPLETE";
        }
    }
}
